#!/bin/sh
#针对A70z笔记本需要重新载入的驱动 /usr/bin/s34uvcrtkbtusb.sh
ktboard_vender=`cat /sys/devices/virtual/dmi/id/board_vendor | grep KaiTian`
if [ -d /sys/bus/usb/drivers/uvcvideo ]
then
	echo "uvcvideo was auto loaded."
else
	if [ -n "$ktboard_vender" ]
	then
		modprobe uvcvideo
		echo "uvcvideo loaded by delay_service."
	fi
fi
if [ -d /sys/bus/usb/drivers/rtk_btusb ]
then
	echo "rtk_btusb was auto loaded."
else
	if [ -n "$ktboard_vender" ]
	then
		modprobe rtk_btusb
		echo "rtk_btusb loaded by delay_service."
	fi
fi
exit 0
